package com.zjj.controller;

import com.zjj.config.HttpUtil;
import com.zjj.config.URLConfig;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

@RestController
public class AppInterfaceController {

    /*******************************************集安党建系统leader开始**************************************************/
    @PostMapping(value="/loginMobile",produces = "application/json;charset=utf-8")
    public String loginMobile(String username,String password){
        Map param = new HashMap<>();
        param.put("username",username);
        param.put("password",password);
        return HttpUtil.sendPostForm(URLConfig.LOGINMOBILE,new HashMap<>(),param);
    }

    @PostMapping(value="/sys/register/register",produces = "application/json;charset=utf-8")
    public String register(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.REGISTER,param,new HashMap<>());
    }

    @PostMapping(value="/sys/register/getCode",produces = "application/json;charset=utf-8")
    public String getCode(String tel){
        Map param = new HashMap<>();
        param.put("tel",tel);
        return HttpUtil.sendPostForm(URLConfig.GETCODE,new HashMap<>(),param);
    }

    @PostMapping(value="/sys/office/getFirst",produces = "application/json;charset=utf-8")
    public String getFirst(){
        return HttpUtil.sendPostForm(URLConfig.GETFIRST,new HashMap<>(),new HashMap<>());
    }

    @PostMapping(value="/sys/office/getByParent",produces = "application/json;charset=utf-8")
    public String getByParent(String parentId){
        Map param = new HashMap<>();
        param.put("parentId",parentId);
        return HttpUtil.sendPostForm(URLConfig.GETBYPARENT,new HashMap<>(),param);
    }

    @PostMapping(value="/app/type/appConsultationType/newsType",produces = "application/json;charset=utf-8")
    public String newsType(){
        return HttpUtil.sendPostForm(URLConfig.NEWSTYPE,new HashMap<>(),new HashMap<>());
    }

    @PostMapping(value="/app/news/appConsultation/display",produces = "application/json;charset=utf-8")
    public String display(){
        return HttpUtil.sendPostForm(URLConfig.display,new HashMap<>(),new HashMap<>());
    }

    @PostMapping(value="/app/news/appConsultation/data",produces = "application/json;charset=utf-8")
    public String appConsultationData(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.appConsultationData,param, new HashMap<>());
    }

    @PostMapping(value="/app/url/appConsultationLink/url",produces = "application/json;charset=utf-8")
    public String appConsultationLinkUrl(){
        return HttpUtil.sendPostForm(URLConfig.appConsultationLinkUrl,new HashMap<>(),new HashMap<>());
    }

    @PostMapping(value="/leader/org/leaderOrgNo/getChildOrg",produces = "application/json;charset=utf-8")
    public String getChildOrg(String parentId,String name,String type){
        Map param = new HashMap<>();
        param.put("parentId",parentId);
        param.put("name",name);
        param.put("type",type);
        System.out.println(type);
        return HttpUtil.sendPostForm(URLConfig.getChildOrg,new HashMap<>(),param);
    }

    @PostMapping(value="/leader/org/leaderOrgNo/getFirstOrg",produces = "application/json;charset=utf-8")
    public String getFirstOrg(){
        return HttpUtil.sendPostForm(URLConfig.getFirstOrg,new HashMap<>(),new HashMap<>());
    }

    @PostMapping(value="/leader/org/leaderOrgNo/getService",produces = "application/json;charset=utf-8")
    public String getService(String name){
        Map param = new HashMap<>();
        param.put("name",name);
        return HttpUtil.sendPostForm(URLConfig.getService,new HashMap<>(),param);
    }

    @PostMapping(value="/leader/org/leaderOrgNo/getOrg",produces = "application/json;charset=utf-8")
    public String getOrg(String value){
        Map param = new HashMap<>();
        param.put("value",value);
        return HttpUtil.sendPostForm(URLConfig.getOrg,new HashMap<>(),param);
    }

    @PostMapping(value="/app/base/appBaseNews/dataList",produces = "application/json;charset=utf-8")
    public String dataList(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.dataList,param, new HashMap<>());
    }

    @PostMapping(value="/app/base/appBaseNews/getNav",produces = "application/json;charset=utf-8")
    public String getNav(String deptId){
        Map param = new HashMap<>();
        param.put("deptId",deptId);
        return HttpUtil.sendPostForm(URLConfig.getNav,new HashMap<>(),param);
    }

    @PostMapping(value="/leader/org/leaderOrgNo/getAllOrg",produces = "application/json;charset=utf-8")
    public String getAllOrg(){
        return HttpUtil.sendPostForm(URLConfig.getAllOrg,new HashMap<>(),new HashMap<>());
    }

    @PostMapping(value="/app/complaint/appComplaintInfo/save",produces = "application/json;charset=utf-8")
    public String save(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.save,param,new HashMap<>());
    }
    @PostMapping(value="/app/info/appInfo/getByType",produces = "application/json;charset=utf-8")
    public String getByType(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.getByType,param,new HashMap<>());
    }

    @PostMapping(value="/leader/activity/leaderActivity/threeSessions",produces = "application/json;charset=utf-8")
    public String threeSessions(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.threeSessions,param,new HashMap<>());
    }

    @PostMapping(value="/app/record/appActivityRecord/activityList",produces = "application/json;charset=utf-8")
    public String activityList(String userId){
        Map param = new HashMap<>();
        param.put("userId",userId);
        return HttpUtil.sendPostForm(URLConfig.activityList,new HashMap<>(),param);
    }

    @PostMapping(value="/app/record/appActivityRecord/data",produces = "application/json;charset=utf-8")
    public String appActivityRecordData(String userId,String tab){
        Map param = new HashMap<>();
        param.put("userId",userId);
        param.put("tab",tab);
        return HttpUtil.sendPostForm(URLConfig.appActivityRecordData,new HashMap<>(),param);
    }

    @PostMapping(value="/app/record/appActivityRecord/save",produces = "application/json;charset=utf-8")
    public String appActivityRecordSave(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.appActivityRecordSave,param,new HashMap<>());
    }

    @PostMapping(value="/leader/activity/leaderActivity/partyDay",produces = "application/json;charset=utf-8")
    public String partyDay(String types,String userId){
        Map param = new HashMap<>();
        param.put("types",types);
        param.put("userId",userId);
        return HttpUtil.sendPostForm(URLConfig.partyDay,new HashMap<>(),param);
    }

    @PostMapping(value="/leader/logs/leaderLogs/uploadLogs",produces = "application/json;charset=utf-8")
    public String uploadLogs(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.uploadLogs,param,new HashMap<>());
    }

    @PostMapping(value="/app/leave/appLeave/data",produces = "application/json;charset=utf-8")
    public String appLeaveData(String userId,String tab){
        Map param = new HashMap<>();
        param.put("tab",tab);
        param.put("userId",userId);
        return HttpUtil.sendPostForm(URLConfig.appLeaveData,new HashMap<>(),param);
    }

    @PostMapping(value="/app/leave/appLeave/save",produces = "application/json;charset=utf-8")
    public String appLeaveSave(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.appLeaveSave,param,new HashMap<>());
    }

    @PostMapping(value="/app/leave/appLeave/approval",produces = "application/json;charset=utf-8")
    public String approval(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.approval,param,new HashMap<>());
    }

    @PostMapping(value="/leader/sign/leaderVillageSign/save",produces = "application/json;charset=utf-8")
    public String leaderVillageSignSave(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.leaderVillageSignSave,param,new HashMap<>());
    }

    @PostMapping(value="/leader/logs/leaderLogsPosition/uploadLogs",produces = "application/json;charset=utf-8")
    public String leaderLogsPositionUploadLogs(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.leaderLogsPositionUploadLogs,param,new HashMap<>());
    }

    @PostMapping(value="/leader/logs/leaderLogsPosition/getLogs",produces = "application/json;charset=utf-8")
    public String getLogs(String orgId){
        Map param = new HashMap<>();
        param.put("orgId",orgId);
        return HttpUtil.sendPostForm(URLConfig.getLogs,new HashMap<>(),param);
    }

    @PostMapping(value="/app/resources/appResources/data",produces = "application/json;charset=utf-8")
    public String appResourcesData(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.appResourcesData,param,new HashMap<>());
    }

    @PostMapping(value="/app/resources/appResources/save",produces = "application/json;charset=utf-8")
    public String appResourceSave(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.appResourceSave,param,new HashMap<>());
    }

    @PostMapping(value="/app/resources/appResourcesApproval/save",produces = "application/json;charset=utf-8")
    public String AppResourcesApprovalSave(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.AppResourcesApprovalSave,param,new HashMap<>());
    }

    @PostMapping(value="/app/resources/appResourcesApproval/data",produces = "application/json;charset=utf-8")
    public String appResourcesApprovalData(String applyId,String tab){
        Map param = new HashMap<>();
        param.put("applyId",applyId);
        param.put("tab",tab);
        return HttpUtil.sendPostForm(URLConfig.appResourcesApprovalData,new HashMap<>(),param);
    }

    @PostMapping(value="/app/resources/appResourcesApproval/approval",produces = "application/json;charset=utf-8")
    public String appResourcesApprovalApproval(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.appResourcesApprovalApproval,param,new HashMap<>());
    }

    @PostMapping(value="/app/report/appReport/save",produces = "application/json;charset=utf-8")
    public String appReportSave(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.appReportSave,param,new HashMap<>());
    }

    @PostMapping(value="/app/phonebook/appPhoneBook/data",produces = "application/json;charset=utf-8")
    public String appPhoneBookData(String userId){
        Map param = new HashMap<>();
        param.put("applyId",userId);
        return HttpUtil.sendPostForm(URLConfig.appPhoneBookData,new HashMap<>(),param);
    }

    @PostMapping(value="/app/phonebook/appPhoneBook/save",produces = "application/json;charset=utf-8")
    public String appPhoneBookSave(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.appPhoneBookSave,param,new HashMap<>());
    }

    @PostMapping(value="/app/phonebook/appPhoneBook/delete",produces = "application/json;charset=utf-8")
    public String appPhoneBookDelete(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.appPhoneBookDelete,param,new HashMap<>());
    }

    @PostMapping(value="/app/memo/appMemo/data",produces = "application/json;charset=utf-8")
    public String appMemoData(String userId){
        Map param = new HashMap<>();
        param.put("applyId",userId);
        return HttpUtil.sendPostForm(URLConfig.appMemoData,new HashMap<>(),param);
    }

    @PostMapping(value="/app/memo/appMemo/delete",produces = "application/json;charset=utf-8")
    public String appMemoDelete(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.appMemoDelete,param,new HashMap<>());
    }

    @PostMapping(value="/app/memo/appMemo/save",produces = "application/json;charset=utf-8")
    public String appMemoSave(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.appMemoSave,param,new HashMap<>());
    }

    @PostMapping(value="/app/collection/appCollection/data",produces = "application/json;charset=utf-8")
    public String appCollectionData(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.appCollectionData,param,new HashMap<>());
    }

    @PostMapping(value="/app/collection/appCollection/delete",produces = "application/json;charset=utf-8")
    public String appCollectionDelete(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.appCollectionDelete,param,new HashMap<>());
    }

    @PostMapping(value="/app/collection/appCollection/save",produces = "application/json;charset=utf-8")
    public String appCollectionSave(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.appCollectionSave,param,new HashMap<>());
    }

    @PostMapping(value="/app/suggestion/appSuggestion/save",produces = "application/json;charset=utf-8")
    public String appSuggestionSave(@RequestParam Map param){
        return HttpUtil.sendPostForm(URLConfig.appSuggestionSave,param,new HashMap<>());
    }

    /*******************************************集安党建系统leader结束**************************************************/



}
